> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Test Suites

> List all test suites for a project

## Request

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/test-suites
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of test suite objects with `id`, `name`, and `testCases` (array of `{ id }`).
</ResponseField>

### Example

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/test-suites \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": [
    {
      "id": "test-suite-uuid",
      "projectId": "project-uuid",
      "name": "Regression suite",
      "testCases": [
        { "id": "test-case-uuid-1" },
        { "id": "test-case-uuid-2" }
      ],
      "createdAt": "2026-03-23T00:00:00.000Z",
      "updatedAt": "2026-03-23T00:00:00.000Z"
    }
  ]
}
```
